Loading...
Searching...
No Matches
libopenmpt_config.h File Reference
`#include "libopenmpt_version.h"`

Go to the source code of this file.

## Macros

#define | LIBOPENMPT_STREAM_CALLBACKS_BUFFER
| Defined if libopenmpt/libopenmpt_stream_callbacks_buffer.h exists.
#define | LIBOPENMPT_STREAM_CALLBACKS_FD
| Defined if libopenmpt/libopenmpt_stream_callbacks_fd.h exists.
#define | LIBOPENMPT_STREAM_CALLBACKS_FILE
| Defined if libopenmpt/libopenmpt_stream_callbacks_file.h exists.
#define | LIBOPENMPT_STREAM_CALLBACKS_FILE_MINGW
| Defined if libopenmpt/libopenmpt_stream_callbacks_file_mingw.h exists.
#define | LIBOPENMPT_STREAM_CALLBACKS_FILE_MSVCRT
| Defined if libopenmpt/libopenmpt_stream_callbacks_file_msvcrt.h exists.
#define | LIBOPENMPT_STREAM_CALLBACKS_FILE_POSIX
| Defined if libopenmpt/libopenmpt_stream_callbacks_file_posix.h exists.
#define | LIBOPENMPT_STREAM_CALLBACKS_FILE_POSIX_LFS64
| Defined if libopenmpt/libopenmpt_stream_callbacks_file_posix_lfs64.h exists.
#define | LIBOPENMPT_DEPRECATED
#define | LIBOPENMPT_DEPRECATED_STRING(str) ( LIBOPENMPT_DEPRECATED_STRING_CONSTANT ? ( str ) : ( str ) )
#define | LIBOPENMPT_C_INLINE

## Variables

static const int | LIBOPENMPT_DEPRECATED_STRING_CONSTANT = 0

## Macro Definition Documentation

## LIBOPENMPT_C_INLINE

#define LIBOPENMPT_C_INLINE

## LIBOPENMPT_DEPRECATED

#define LIBOPENMPT_DEPRECATED

## LIBOPENMPT_DEPRECATED_STRING

#define LIBOPENMPT_DEPRECATED_STRING | ( |  | str | ) | ( LIBOPENMPT_DEPRECATED_STRING_CONSTANT ? ( str ) : ( str ) )

## Variable Documentation

## LIBOPENMPT_DEPRECATED_STRING_CONSTANT

const int LIBOPENMPT_DEPRECATED_STRING_CONSTANT = 0

static